Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 45721

Summary: twisted docs ebuild f***ed up
Product: Gentoo Linux Reporter: Erich Herz <erich-herz>
Component: New packagesAssignee: Thomas Raschbacher <lordvan>
Status: VERIFIED TEST-REQUEST    
Severity: normal CC: python
Priority: High    
Version: unspecified   
Hardware: x86   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Erich Herz 2004-03-25 10:08:46 UTC
This shouldn't be very difficult to explain.
i emerged twisted, and i have docs in my use flags, so this also merged twisted-docs-1.1.1.  but twisted is version 1.1.0, and when i emerge -uD world, it wants to downgrade to 1.1.0, and i let it, because this is what i want.  but then, after the downgrade finishes, and 1.1.1 is (supposedly) unmerged, then uD world wants to upgrade back to 1.1.1.  something screwed up in the ebuild?



Reproducible: Always
Steps to Reproduce:
1. emerge twisted-docs
2. emerge -uD world
3. emerge -uD world

Actual Results:  
1.1.1 gets merged, 1.1.0 gets unmerged.
1.1.0 gets merged, 1.1.1 gets unmerged.
1.1.1 gets merged. 1.1.0 .........-

Expected Results:  
um....

hehe
Comment 1 Bryan Ƙstergaard (RETIRED) gentoo-dev 2004-03-28 08:53:14 UTC
The problem seems to be that KEYWORDS in twisted and twisted-docs doesn't match. So the latest version of stable twisted is somewhat behind stable twisted-docs.

Reassigning to maintainer.
Comment 2 Thomas Raschbacher gentoo-dev 2004-03-29 04:58:01 UTC
done . it's in portage
sorry for the inconvenience
Comment 3 Thomas Raschbacher gentoo-dev 2004-12-06 10:44:13 UTC
noone reopened it so i close the bug